﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.IO;
using System.Diagnostics;

namespace DataGridHierarchy
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public ObservableCollection<Level0> Data { get; set; }

        public MainWindow()
        {
            InitializeComponent();
            Data = new ObservableCollection<Level0>();

            for (int i = 0; i < 3; i++)
            {
                Level0 lvl = new Level0
                {
                    Id = i,
                    Name = "Level0 - " + i,
                    ChildLevel1 = new ObservableCollection<Level1>()
                };

                for (int j = 0; j < 3; j++)
                {
                    Level1 lvl1 = new Level1
                    {
                        Id = j,
                        Name = "Lavel1 - " + j,
                        Parent = lvl.Name
                    };

                    lvl.ChildLevel1.Add(lvl1);
                }
                Data.Add(lvl);
            }

            DataContext = this;
        }

        private void xamDataGrid1_FieldLayoutInitialized(object sender, Infragistics.Windows.DataPresenter.Events.FieldLayoutInitializedEventArgs e)
        {
            Debug.WriteLine(e.FieldLayout);
            foreach (var item in e.FieldLayout.Fields)
            {
                Debug.WriteLine(item.Name);
              
            }
        }

 
    }

    public class Level0
    {
        public int Id { get; set; }
        public string Name { get; set; }
        public ObservableCollection<Level1> ChildLevel1 { get; set; }
    }

    public class Level1
    {
        public int Id { get; set; }
        public string Name { get; set; }
        public string Parent { get; set; }
    }
}
